Package org.apache.commons.io.input

# Class CharacterSetFilterReader

java.lang.Object
java.io.Reader
java.io.FilterReader
org.apache.commons.io.input.AbstractCharacterFilterReader
org.apache.commons.io.input.CharacterSetFilterReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

public class CharacterSetFilterReader extends AbstractCharacterFilterReader
A filter reader that removes a given set of characters represented as `int` code points, handy to remove known junk characters from CSV files for example.

This class must convert each `int` read to an `Integer`. You can increase the Integer cache with a system property, see `Integer`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.io.input.AbstractCharacterFilterReader

  `SKIP_NONE`

  ### Fields inherited from class java.io.FilterReader

  `in`

  ### Fields inherited from class java.io.Reader

  `lock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterSetFilterReader(Reader reader, Integer... skip)`
  Constructs a new reader.
  `CharacterSetFilterReader(Reader reader, Set<Integer> skip)`
  Constructs a new reader.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.io.input.AbstractCharacterFilterReader

  `filter, read, read`

  ### Methods inherited from class java.io.FilterReader

  `close, mark, markSupported, ready, reset, skip`

  ### Methods inherited from class java.io.Reader

  `read, read`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CharacterSetFilterReader

    public CharacterSetFilterReader(Reader reader, Integer... skip)
    Constructs a new reader.
    Parameters:
      `reader` - the reader to filter.
      `skip` - the set of characters to filter out.
    Since:
      2.9.0

  - ### CharacterSetFilterReader

    public CharacterSetFilterReader(Reader reader, Set<Integer> skip)
    Constructs a new reader.
    Parameters:
      `reader` - the reader to filter.
      `skip` - the set of characters to filter out.